Package uk.ac.starlink.vo

## Interface UwsJobInfo.Error

- Enclosing interface:
    UwsJobInfo

      public static interface UwsJobInfo.Error

  Represents error information associated with a UWS job.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage​()` | Returns the error message.
    `boolean` | `hasDetail​()` | Indicates whether a more detailed error message is available.
    `boolean` | `isFatal​()` | Indicates whether this error is fatal.

- - ### Method Detail

    - #### isFatal

          boolean isFatal​()

      Indicates whether this error is fatal.
      Returns:
        true iff fatal

    - #### hasDetail

          boolean hasDetail​()

      Indicates whether a more detailed error message is available. If so it can be found at the jobid/error endpoint.
      Returns:
        true iff detail is available

    - #### getMessage

          java.lang.String getMessage​()

      Returns the error message.
      Returns:
        message

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.